> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Profiles

> List agent profiles and the effective active pointer for this member.

No implicit writes: an org with no profiles yet just returns an empty
list. Profile creation is always an explicit ``save_agent_profile`` call
(``EDIT_ORG_SETTINGS``).



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/agent-profiles
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/agent-profiles:
    get:
      tags:
        - Agent Profiles
      summary: List Agent Profiles
      description: |-
        List agent profiles and the effective active pointer for this member.

        No implicit writes: an org with no profiles yet just returns an empty
        list. Profile creation is always an explicit ``save_agent_profile`` call
        (``EDIT_ORG_SETTINGS``).
      operationId: list_agent_profiles_api_agent_profiles_get
      parameters:
        - name: org_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Org Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentProfileListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AgentProfileListResponse:
      properties:
        profiles:
          items:
            $ref: '#/components/schemas/AgentProfileInfo'
          type: array
          title: Profiles
        active_agent_profile_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Agent Profile Id
      type: object
      required:
        - profiles
      title: AgentProfileListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentProfileInfo:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        name:
          type: string
          title: Name
        agent_kind:
          type: string
          title: Agent Kind
          default: openhands
        revision:
          anyOf:
            - type: integer
            - type: 'null'
          title: Revision
        llm_profile_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Llm Profile Ref
        mcp_server_refs:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Mcp Server Refs
      type: object
      required:
        - name
      title: AgentProfileInfo
      description: Summary projection of a stored profile (no secret instantiation).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````